import { CustomTransportStrategy, Server } from '@nestjs/microservices';
import { Socket } from 'socket.io-client';
import { Logger } from '@nestjs/common';
export declare class SocketIoClientStrategy extends Server implements CustomTransportStrategy {
    private readonly client;
    protected readonly logger: Logger;
    constructor(client: Socket, logger: Logger);
    /**
     * This method is triggered when you run "app.listen()".
     */
    listen(callback: () => void): void;
    /**
     * This method is triggered on application shutdown.
     */
    close(): void;
}
